import React from "react";
import {AppShell, Layer} from "annotation-toolkit"
import Store, {useStore} from "global-context-store"
import Frame from "react-frame-component";
import { Layers } from "./task/Task"
import DataLoader from "./task/DataLoader"
import ContextPanel from "./task/ContextPanel";

// function AnnotationTool({item}) {
//   return <>
//     <Store>
//         <DataLoader setData={item.data} />
//         <AppShell layers={() => <Layers />} showDebugPane={false} contextPanel={() => <ContextPanel />} />
//     </Store>
//   </>
// }

// function DataLoader({ data = null }) {
//   const store = useStore();
//   React.useEffect(() => {
//     store.set("data", data);
//   }, [data]);

//   React.useEffect(() => {
//     store.set("selectedLayer", ["Layer 1"]);
//   }, []);

//   return null;
// }

function AnnotationTool({ log, data, frameProps }) {
  return (
    <Frame
      {...frameProps}
      head={
        <>
          <link
            rel="stylesheet"
            href="https://unpkg.com/vqa-review-embed@1.0.15/build/main.css"
          />
        </>
      }
    >
      <Store>
        <DataLoader setData={data} />
        <AppShell layers={() => <Layers />} showDebugPane={false} contextPanel={() => <ContextPanel />} />
        {/* <AppShell
          layers={() => (
            <>
              <Layer
                displayName="Layer 1"
                icon="layer"
                getData={({ store }) => {
                  // log(store.get("data"));
                  return { data: store.get("data") };
                }}
                component={({ data }) => {
                  return (
                    <div
                      style={{
                        backgroundColor: "white",
                        borderRadus: 3,
                        padding: 5,
                        border: "1px solid rgba(0,0,0,0.2)"
                      }}
                    >
                      Data: {JSON.stringify(data)}
                    </div>
                  );
                }}
              />
              <Layer displayName="Layer 2" icon="layer" />
            </>
          )}
        /> */}
      </Store>
    </Frame>
  );
}

export { AnnotationTool };
