import React from "react";
// import vqaData from "./vqa.json";
import groupBy from "lodash.groupby";
import mapValues from "lodash.mapvalues";
import { useStore } from "global-context-store";

function prepareData(data) {
  let d = groupBy(data.payload, "label");
  d = mapValues(d, (val) => groupBy(val, "tags[0]"));
  return d;
}

function DataLoader({setData}) {
  const { set, get } = useStore();

  const SCALE = 0.33;
  const originalWidth = get("layers.Video.data.detectedSize[0]") || 100;
  const originalHeight = get("layers.Video.data.detectedSize[1]") || 100;

  const initData = React.useMemo(() => ({
    src: setData.src,
    originalWidth,
    originalHeight,
    fps: setData.fps,
    scale: SCALE,
    scaledWidth: Math.ceil(originalWidth * SCALE),
    scaledHeight: Math.ceil(originalHeight * SCALE),
  }), [setData, originalHeight, originalWidth]);

  const data = React.useMemo(() => prepareData(setData.data), [setData]);

  React.useEffect(() => {
    set("taskData", data);
    set("initData", initData);
    set("selectedLayer", ["Query 1"]);
  }, [set, data, initData]);

  return null;
}

export default DataLoader;
